%global realname cowlib
%global upstream ninenines
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.3.0
Release:	2%{?dist}
Summary:	Support library for manipulating Web protocols
Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-cowlib-0001-Add-HPACK-decoding-and-encoding-functions.patch
Patch2:		erlang-cowlib-0002-WS-accepts-iodata-so-byte_size-won-t-work-unless-we-.patch
Patch3:		erlang-cowlib-0003-Add-cowboy_http2-with-initial-HTTP-2-suppport.patch
Patch4:		erlang-cowlib-0004-Fix-handling-of-default-values-in-cookie-options.patch
Patch5:		erlang-cowlib-0005-Fix-a-few-binary-pattern-matching-issues.patch
Patch6:		erlang-cowlib-0006-Add-cow_http-response-3.patch
Patch7:		erlang-cowlib-0007-Add-settings_payload-1-settings_ack-0-and-ping-1-in-.patch
Patch8:		erlang-cowlib-0008-Add-cow_http_hd-parse_http2_settings-1.patch
Patch9:		erlang-cowlib-0009-Parse-the-settings-payload-directly-in-cow_http_hd-p.patch
BuildRequires:  erlang-rebar
BuildRequires:  erlang-triq


%description
Support library for manipulating Web protocols.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{__rebar} qc -vv


%files
%license LICENSE
%doc AUTHORS CHANGELOG.md README.md
%{erlang_appdir}/


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Initial packaging
